import javax.swing.*;
import java.awt.*;

/** Demo class Box. Comment on constructor
    says how frame is laid out. */
public class BoxDemo extends JFrame {
    /** Constructor: frame with title "Box demo",
        labels in the east/west,
        blank label in south,
        horizontal Box with 4 buttons in center. */
    public BoxDemo() {
        super("Box demo");
        
        Box b= new Box(BoxLayout.X_AXIS);        
        b.add(new JButton("0"));
        b.add(new JButton("1"));
        b.add(new JButton("2"));
        b.add(new JButton("3"));
        
        Container cp= getContentPane();
        cp.add(new JLabel("east"), BorderLayout.EAST);
        cp.add(new JLabel("west"), BorderLayout.WEST);
        cp.add(new JLabel(" "), BorderLayout.SOUTH);
        
        cp.add(b, BorderLayout.CENTER);
        
        pack(); 
        setVisible(true);
    }
}
